// restore.h
//
// Defines for saving and restoring parameters
//
// (c) Bill Dally, May 2020
//
// Copyright 2020 Bill Dally
// 
// Licensed under the Ventilator Open Source License (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
// ./LICENSE
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
void save_run(uint8_t run) ;
void save_parameters(uint16_t offset) ;
void restore_parameters(uint16_t offset) ;
void save_settings(void) ;
void save_stop(void) ;
void restore_settings(void) ;
uint16_t restore_int_to_offset(uint8_t n) ;




