// pwm.h
// (C) BIll Dally April, 2020
//
// Includes for pulse width modulation (PWM) drive of solenoid valve
//
// Copyright 2020 Bill Dally
// 
// Licensed under the Ventilator Open Source License (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
// ./LICENSE
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

void pwm_init(void) ;
void set_pwm(uint16_t val, uint8_t chan) ;
void set_pwm0(uint16_t val) ;
void set_pwm1(uint16_t val) ;
void zero_all_pwm(void) ;

